//+------------------------------------------------------------------+
//|                                   Test_CHashArrayPerformance.mq5 |
//|                        Copyright 2014, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"

#include <HashArray.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
   CHashArrayStringString Hash();
   uint StartTime=GetTickCount();
   for(int n=0; n<10000; n++)
     {
      Hash["key"+IntegerToString(n)]="trash";
     }
   uint timeTotal=GetTickCount()-StartTime;
   Alert("add 10k elements in ",IntegerToString(timeTotal)," ms");
  }
//+------------------------------------------------------------------+
